#include "stdafx.h"

#include "contacto.h"

// construtor por defeito
CContacto::CContacto()
{
	m_aPessoa   = CPessoa();
	m_aEndereco = CEndereco();

	m_sTelefone = "";
	m_sTelemovel= "";
	m_sEMail    = "";	
}

CContacto::CContacto(CPessoa&   aPessoa,
		             CEndereco& aEndereco,
			         CString    sTel,
			         CString    sTlm,
			         CString    sEMail)
{
	m_aPessoa   = aPessoa;
	m_aEndereco = aEndereco;
	m_sTelefone = sTel;
	m_sTelemovel= sTlm;
	m_sEMail    = sEMail;	
}

CContacto& CContacto :: operator=(const CContacto& aCon )
{
	Copia(aCon);

	return *this;
}

CContacto::CContacto(const CContacto& aCon)
{
	Copia(aCon);
}

void CContacto::Copia(const CContacto& aCon)
{
	m_aPessoa   = aCon.m_aPessoa;
	m_aEndereco = aCon.m_aEndereco;
	
	m_sTelefone = aCon.m_sTelefone;
	m_sTelemovel= aCon.m_sTelemovel;
	m_sEMail    = aCon.m_sEMail;	
}


CContacto::~CContacto(void)
{
}

void CContacto::SetPessoa(CPessoa& aPessoa)
{
	m_aPessoa = aPessoa;
}

void CContacto::SetEndereco(CEndereco& aEndereco)
{
	m_aEndereco = aEndereco;
}

void CContacto::SetTelefone(CString sTel)
{
	m_sTelefone = sTel;
}

void CContacto::SetTelemovel(CString sTlm)
{
	m_sTelemovel = sTlm;
}

void CContacto::SetEMail(CString sEMail)
{
	m_sEMail = sEMail;
}



void CContacto::Listar(void) const
{
	m_aPessoa.Listar();

	cout << "---------" << endl;
	
	m_aEndereco.Listar();
	
	cout << "---------" << endl;
	
	cout << "Telefone :" << m_sTelefone << endl;
	cout << "Telemovel:" << m_sTelemovel << endl;
	cout << "EMail    :" << m_sEMail << endl;

}
