#pragma once


#include <afx.h>
// Para CString e CTime
// Suporte MFC e Multithread na configuracao de projecto


#include "Pessoa.h"
#include "Endereco.h"


class CContacto
{
	CPessoa   m_aPessoa;
	CEndereco m_aEndereco;
	CString   m_sTelefone;
	CString   m_sTelemovel;
	CString   m_sEMail;

public:
	CContacto();
	CContacto(CPessoa&   aPessoa,
		      CEndereco& aEndereco,
			  CString    sTel = "",
			  CString    sTlm = "",
			  CString    sEMail = "");
	CContacto(const CContacto& aCon);
	~CContacto(void);

	void       Copia(const CContacto& aCon);

	CContacto& operator=( const CContacto& aCon );

	CPessoa&   GetPessoa()    { return m_aPessoa; }
	CEndereco& GetEndereco()  { return m_aEndereco; }
	CString&   GetTelefone()  { return m_sTelefone; }
	CString&   GetTelemovel() { return m_sTelemovel; }
	CString&   GetEMail()     { return m_sEMail; }

	void SetPessoa(CPessoa& aPessoa);
	void SetEndereco(CEndereco& aEndereco);
	void SetTelefone(CString sTel);
	void SetTelemovel(CString sTlm);
	void SetEMail(CString sEMail);

	void Listar(void) const;

};
